h37884
s 00001/00001/00048
d D 1.7 83/03/06 20:36:53 mjb 7 6
c 
e
s 00001/00001/00048
d D 1.6 83/03/04 14:15:39 mjb 6 5
c 
e
s 00001/00001/00048
d D 1.5 83/03/03 18:46:37 mjb 5 4
c put in check for single graph recalls in multi graph mode
e
s 00001/00001/00048
d D 1.4 83/03/02 18:43:56 mjb 4 3
c put in switch ttyin calls
e
s 00001/00001/00048
d D 1.3 83/02/17 12:26:31 mjb 3 2
c fixed chkdef problem on anotation
e
s 00002/00001/00047
d D 1.2 83/02/14 14:07:20 mjb 2 1
c added sflag to tell when absolutely necessary to save current graph
e
s 00048/00000/00000
d D 1.1 83/01/31 19:15:29 mjb 1 0
c date and time created 83/01/31 19:15:29 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine chkdef
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Check for a defined file and save                      #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################

SHORTINT key, upcase
integer total

include(`gphcom')
   
I 2
   if (bgsave == NO) return

E 2
D 3
   total = bgddef(1)+bgddef(2)+bgddef(3)+bgddef(4)+bgddef(5)
E 3
I 3
   total = bgddef(1)+bgddef(2)+bgddef(3)+bgddef(4)+bgddef(5)+anobuf(1)
E 3
   total = total+bpddef+mfname(1)+mfname(15)+mfname(29)+mfname(43)

   if (total != 0) {
      call clrscr
      call apmesg (DEFINEDxFILE, OFF)

      repeat {
D 4
         call getkey (key)
E 4
I 4
D 6
         ifdef(`UNIX',`call gdevin (key)',`call ttyin (key)')
E 6
I 6
D 7
         call gtty (key)
E 7
I 7
         call ttyin (key)
E 7
E 6
E 4
         key = upcase (key)
         if (key == BIGY) {
D 5
            call savrst (BINARYxWRITE)
E 5
I 5
            call savrst (BINARYxWRITE, EITHER)
E 5
            }
         } until (key == BIGY | key == BIGN)
      }

return
end
D 2

E 2
E 1
